/****************************************
* afficher des carrés dont la couleur rouge est donnée dans un tableau
*
* entree :
*   - x, y : position du coin sup gauche de la ligne de carrés
*   - w : longuer du coté
*   - red : tbaleau qui contient l'intensité du rouge
*
* sortie :
*   - aucune
*****************************************/
void carresRouges(int x, int y, int w, int[] red) {
  for(int i = 0; i < red.length; i++) {
    fill(red[i], 0, 0);
    rect(x + i * w, y, w, w);
  }
}

/****************************************
* afficher des carrés dont la coleur est donnée dans un tableau
*
* entree :
*   - x, y : position du coin sup gauche de la ligne de carrés
*   - w : longuer du coté
*   - red : tbaleau qui contient l'intensité du rouge
*
* sortie :
*   - aucune
*****************************************/
void carres(int x, int y, int w, int[] red, int[] green, int[] blue) {
  for(int i = 0; i < red.length; i++) {
    fill(red[i], green[i], blue[i]);
    rect(x + i * w, y, w, w);
  }
}


void setup() {
  int[] t = { 100, 150, 200, 250};

  carresRouges(0, 0, 10, t);
  
  int[] red   = { 100, 150, 200, 250};
  int[] green = { 200, 250, 250, 150};
  int[] blue  = { 10,  50, 0, 50};

  carres(0, 20, 10, red, green, blue);
}

