/****************************************
* afficher des carrés dont la couleur rouge est donnée dans un tableau
*
* entree :
*   - x, y : position du coin sup gauche de la ligne de carrés
*   - w : longuer du coté
*   - red : tbaleau qui contient l'intensité du rouge
*
* sortie :
*   - aucune
*****************************************/
void carresRouges(int x, int y, int w, int[] red) {
  for(int i = 0; i < red.length; i++) {
    fill(red[i], 0, 0);
    rect(x + i * w, y, w, w);
  }
}

/****************************************
* afficher des carrés dont la coleur est donnée dans un tableau
*
* entree :
*   - x, y : position du coin sup gauche de la ligne de carrés
*   - w : longuer du coté
*   - red : tbaleau qui contient l'intensité du rouge
*
* sortie :
*   - aucune
*****************************************/
void carres(int x, int y, int w, int[] red, int[] green, int[] blue) {
  for(int i = 0; i < red.length; i++) {
    fill(red[i], green[i], blue[i]);
    rect(x + i * w, y, w, w);
  }
}

/****************************************
* copie le premier tableau dans le second
*
* entree :
*   - tab   : tableau origine
*   - cible : tableau cible
*
* sortie :
*   - aucune (cible modifié lui-même) 
*****************************************/
int[] somme(int[] v1, int[] v2) {
  int[] s = new int[v1.length];

  for(int i = 0; i < v1.length; i++)
    s[i] = v1[i] + v2[i];
    
  return s;
}

void setup() {
  size(600, 200);

  int[] u = { 40, 80, 70, 90, 10 };
  int[] v = { 70, 60, 50, 20, 10 };

  carresRouges(0, 0, 20, u);  
  carresRouges(0, 20, 20, v);  

  int[] s = somme(u, v);
  carresRouges(0, 50, 20, s);  

}

